PropertyMutatorCollector (Jackson module: Afterburner 2.10.0 API)
Date: 2019-09-25

com.fasterxml.jackson.module.afterburner.deser

## Class PropertyMutatorCollector

- java.lang.Object
- - com.fasterxml.jackson.module.afterburner.util.DynamicPropertyAccessorBase
  - - com.fasterxml.jackson.module.afterburner.deser.PropertyMutatorCollector

-     public class PropertyMutatorCollector
      extends DynamicPropertyAccessorBase

  Simple collector used to keep track of properties for which code-generated mutators are needed.

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.module.afterburner.util.DynamicPropertyAccessorBase

      `_accessorCount, ALL_INT_CONSTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyMutatorCollector(Class<?> beanClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SettableBooleanFieldProperty` | `addBooleanField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
    `SettableBooleanMethodProperty` | `addBooleanSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
    `SettableIntFieldProperty` | `addIntField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
    `SettableIntMethodProperty` | `addIntSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
    `SettableLongFieldProperty` | `addLongField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
    `SettableLongMethodProperty` | `addLongSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
    `SettableObjectFieldProperty` | `addObjectField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
    `SettableObjectMethodProperty` | `addObjectSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
    `SettableStringFieldProperty` | `addStringField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
    `SettableStringMethodProperty` | `addStringSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)`
    `BeanPropertyMutator` | `buildMutator(MyClassLoader classLoader)` Method for building generic mutator class for specified bean type.
    `Class<?>` | `generateMutatorClass(MyClassLoader classLoader, ClassName baseName)`

    - ### Methods inherited from class com.fasterxml.jackson.module.afterburner.util.DynamicPropertyAccessorBase

      `_add, generateException, internalClassName, isEmpty, isInterfaceMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyMutatorCollector

          public PropertyMutatorCollector(Class<?> beanClass)

  - ### Method Detail

    - #### addIntSetter

          public SettableIntMethodProperty addIntSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

    - #### addLongSetter

          public SettableLongMethodProperty addLongSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

    - #### addBooleanSetter

          public SettableBooleanMethodProperty addBooleanSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

    - #### addStringSetter

          public SettableStringMethodProperty addStringSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

    - #### addObjectSetter

          public SettableObjectMethodProperty addObjectSetter(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

    - #### addIntField

          public SettableIntFieldProperty addIntField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

    - #### addLongField

          public SettableLongFieldProperty addLongField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

    - #### addBooleanField

          public SettableBooleanFieldProperty addBooleanField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

    - #### addStringField

          public SettableStringFieldProperty addStringField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

    - #### addObjectField

          public SettableObjectFieldProperty addObjectField(com.fasterxml.jackson.databind.deser.SettableBeanProperty prop)

    - #### buildMutator

          public BeanPropertyMutator buildMutator(MyClassLoader classLoader)

      Method for building generic mutator class for specified bean type.

    - #### generateMutatorClass

          public Class<?> generateMutatorClass(MyClassLoader classLoader,
                                               ClassName baseName)

Copyright © 2019 FasterXML. All rights reserved.